## kubuntu-docs 12.10.1

=== Makefile ===
################################################################################
# Makefile for the Kubuntu Documentation
#
# Copyright (C) 2009 Richard A. Johnson <nixternal@ubuntu.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

MAKECMD=make

# Language code for documents
LN=C

# XSL Processor
XSLTPROC=/usr/bin/xsltproc

# Stylesheets
CHUNKXSL=libs/kubuntu-chunk.xsl
NOCHUNKXSL=libs/kubuntu-nochunk.xsl
CHUNKONLINEXSL=libs/kubuntu-chunk-online.xsl

# Output/build directory
BUILD=build
KBASE=$(BUILD)/kubuntu

################
## Make Targets
################

# Style
style:

	mkdir -p $(KBASE)/images
	mkdir -p $(KBASE)/common
	cp images/* $(KBASE)/images/
	cp libs/kubuntu.css $(KBASE)/common/

# All Kubuntu Documentation
all: common style desktopfiles

	for doc in `ls docs/`; do \
	    xsltproc -o $(KBASE)/docs/$$doc/$(LN)/index.html $(CHUNKXSL) \
	    docs/$$doc/$(LN)/$$doc.xml; done

# Common - ccbysa and contributors
common: clean

	mkdir -p $(KBASE)/docs
	xsltproc -o $(KBASE)/docs/contributors.html $(NOCHUNKXSL) \
	    common/contributors.xml
	xsltproc -o $(KBASE)/docs/license.html $(NOCHUNKXSL) \
	    common/ccbysa.xml

desktopfiles:
	mkdir -p $(KBASE)/data
	intltool-merge -d data/about/po/ data/about/about.desktop.in build/kubuntu/data/about.desktop
	cp build/kubuntu/data/about.desktop build/kubuntu/data/about.desktop.tobemoved
	intltool-merge -d data/directory/po/ data/directory/directory.desktop.in build/kubuntu/data/.directory
	intltool-merge -d data/kubuntu-docs/po/ data/kubuntu-docs/kubuntu-docs.desktop.in build/kubuntu/data/kubuntu-docs.desktop
	intltool-merge -d data/welcome/po/ data/welcome/welcome.desktop.in build/kubuntu/data/a_welcome.desktop

# Web - build docs for use on the web
web: common style

	cp -r /usr/share/doc/kde4/HTML/en/common/* $(KBASE)/common/
	for doc in `ls docs/`; do \
	    cp docs/$$doc/$(LN)/$$doc.xml docs/$$doc/$(LN)/$$doc.xml.orig; \
	    sed -i 's/help\:\/kubuntu\//\.\.\/\.\.\//g' docs/$$doc/$(LN)/$$doc.xml; \
	    xsltproc -o $(KBASE)/$$doc/$(LN)/index.html $(CHUNKONLINEXSL) \
	    docs/$$doc/$(LN)/$$doc.xml; \
	    mv docs/$$doc/$(LN)/$$doc.xml.orig docs/$$doc/$(LN)/$$doc.xml; done

# Clean the build directory
clean:

	rm -rf $(BUILD)

=== debian/changelog ===
kubuntu-docs (12.10.1) quantal; urgency=low

  * Update to latest now we are in docs freeze

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Sep 2012 13:07:37 +0100

kubuntu-docs (12.10.0ubuntu1) quantal; urgency=low

  * Updates for Quantal by littlergirl@gmail.com
  * Fixes various typos LP: #852519

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jul 2012 15:41:48 +0100

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: David Wonderly <linux@wonderly.com>,
 Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.2.3), cdbs (>= 0.4.51), xsltproc, docbook-xsl,
 docbook-xml, kdoctools (>= 4:4.6.2)
Standards-Version: 3.9.1
Homepage: http://www.kubuntu.org/
Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/precise
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/precise
X-Ubuntu-Use-Langpack: yes

Package: kubuntu-docs
Architecture: all
Conflicts: kubuntu-docs (<< 11.10.1)
Replaces: kubuntu-docs (<< 11.10.1)
Depends: ${misc:Depends}, ${shlibs:Depends}, 
 khelpcenter | www-browser | x-www-browser
Description: kubuntu system documentation
 This package contains the system documentation for the Kubuntu GNU/Linux
 distribution. Full system support for Kubuntu with the KDE desktop can be
 obtained by installing this package.
 .
 Though KHelpCenter is recommended, all documentation in this package is
 HTML, which means you can view it with any web browser by browsing to
 /usr/share/doc/kde/HTML/en/kubuntu/<section>.
 .
 This documentation is part of the Ubuntu Documentation Project which is created
 and maintained by the Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>.

## kubuntu-docs 13.10ubuntu2

=== debian/changelog ===
kubuntu-docs (13.10ubuntu2) saucy; urgency=low

  [ Olivier van der Toorn ]
  * Added the phone/comercial support page, based on
    https://wiki.kubuntu.org/Kubuntu/KubuntuDocs/PhoneSupport
  * Put tokhelp.py script into package

  [ Jonathan Riddell ]
  * Add update rule to debian/rules to call tokhelp.py
  * Tidy directory structure and add icon

 -- Olivier van der Toorn <oliviervdtoorn@gmail.com>  Tue, 01 Oct 2013 17:11:04 +0200

kubuntu-docs (13.10ubuntu1) saucy; urgency=low

  * Initial Release based on docs from wiki
    https://wiki.kubuntu.org/Kubuntu/KubuntuDocs/
    using this download script
    https://code.launchpad.net/~oliviervdtoorn/+junk/kubuntu-docs-local

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Sep 2013 14:47:02 +0100

=== debian/control ===
Source: kubuntu-docs
Section: doc
Priority: extra
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: https://wiki.kubuntu.org/Kubuntu/KubuntuDocs/

Package: kubuntu-docs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation for Kubuntu
 End user documentation for Kubuntu.
 .
  - Welcome
  - Installation
  - Basic setting up
  - Software
  - Getting Involved

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

update:
	./tokhelp.py

## kubuntu-docs 13.10ubuntu2.1

=== debian/changelog ===
kubuntu-docs (13.10ubuntu2.1) saucy; urgency=low

  * Remove incomplete install pages LP: #1240951

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Oct 2013 13:14:12 +0100

## kubuntu-docs 14.04ubuntu6

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(khelpcenter-plugin)

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(ca)
add_subdirectory(da)
add_subdirectory(el)
add_subdirectory(pl)
add_subdirectory(ro)
add_subdirectory(uk)

=== khelpcenter-plugin/CMakeLists.txt ===
set(khc_FILES
    .directory
#     a_welcome.desktop
#     c_basic.desktop
)

install(FILES ${khc_FILES} DESTINATION ${DATA_INSTALL_DIR}/khelpcenter/plugins/kubuntu)

=== doc/ca/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ca SUBDIR kubuntu)

=== doc/da/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/da SUBDIR kubuntu)

=== doc/el/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/el SUBDIR kubuntu)

=== doc/en/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kubuntu)

=== doc/pl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pl SUBDIR kubuntu)

=== doc/ro/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ro SUBDIR kubuntu)

=== doc/uk/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk SUBDIR kubuntu)

=== debian/changelog ===
kubuntu-docs (14.04ubuntu6) trusty; urgency=medium

  * New export

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 14:40:29 +0200

kubuntu-docs (14.04ubuntu5) trusty; urgency=medium

  * Install kubuntu.png to hicolor/apps so the khelpcenter plugin has an
    icon
  * Update export
  * dpkg-source tar-ignore option to ignore tooling and .git*

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 27 Feb 2014 12:04:57 +0100

kubuntu-docs (14.04ubuntu4) trusty; urgency=medium

  * Don't compress docbook files or khelpcenter won't find them

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 13 Feb 2014 01:32:30 +0100

kubuntu-docs (14.04ubuntu3) trusty; urgency=medium

  * Build with doc folder included.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 16:03:59 +0100

kubuntu-docs (14.04ubuntu2) trusty; urgency=low

  * Fix khelpcenter dependency (called khelpcenter4 since almost forever)...

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 13:55:36 +0100

kubuntu-docs (14.04ubuntu1) trusty; urgency=low

  * New release exported from http://userbase.kde.org/Kubuntu

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 07 Feb 2014 10:29:52 +0100

kubuntu-docs (13.04ubuntu1) raring; urgency=low

  * Fixed kubuntu icon name in directory.desktop.in

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 00:48:32 +0200

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, kdelibs5-dev, kdoctools (>= 4:4.6.2)
Standards-Version: 3.9.4
Homepage: http://userbase.kde.org/Kubuntu
# Nothing needs extracing right now...
# X-Ubuntu-Use-Langpack: yes

Package: kubuntu-docs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, khelpcenter4
Description: kubuntu system documentation
 This package contains the system documentation for the Kubuntu GNU/Linux
 distribution. Full system support for Kubuntu with the KDE desktop can be
 obtained by installing this package.

## kubuntu-docs 15.04ubuntu2

=== CMakeLists.txt ===
project(kubuntu-docs)

cmake_minimum_required(VERSION 3.0)

find_package(ECM 0.0.13 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(KF5 REQUIRED
  DocTools
)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(khelpcenter-plugin)

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS hi16-apps-kubuntu.png DESTINATION ${ICON_INSTALL_DIR})

=== khelpcenter-plugin/CMakeLists.txt ===
set(khc_FILES
  kubuntu-docs.desktop
#    .directory
#     a_welcome.desktop
#     c_basic.desktop
)

install(FILES ${khc_FILES} DESTINATION ${DATA_INSTALL_DIR}/khelpcenter/plugins/)

=== doc/el/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/el SUBDIR kubuntu)

=== doc/pl/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pl SUBDIR kubuntu)

=== doc/ro/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ro SUBDIR kubuntu)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk SUBDIR kubuntu)

=== debian/changelog ===
kubuntu-docs (15.04ubuntu2) vivid; urgency=medium

  * Port to KF5 to fix bug #1434857 Kubuntu docs not shown in khelpcenter

 -- Aaron Honeycutt <aaronhoneycutt@kubuntu.org>  Mon, 30 Mar 2015 18:13:42 -0400

kubuntu-docs (15.04ubuntu1) vivid; urgency=medium

  * New export  
  * Update for KF5

 -- Aaron Honeycutt <aaronhoneycutt@kubuntu.org>  Fri, 13 Mar 2015 18:08:45 -0400

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, extra-cmake-modules, kdoctools-dev, libkf5kdelibs4support-data
Standards-Version: 3.9.6
Homepage: http://userbase.kde.org/Kubuntu
# Nothing needs extracing right now...
# X-Ubuntu-Use-Langpack: yes

Package: kubuntu-docs
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, khelpcenter
Description: kubuntu system documentation
 This package contains the system documentation for the Kubuntu GNU/Linux
 distribution. Full system support for Kubuntu with the KDE desktop can be
 obtained by installing this package.

## kubuntu-docs 15.04ubuntu4

=== doc/ca/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ca SUBDIR kubuntu)

=== doc/da/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/da SUBDIR kubuntu)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kubuntu)

=== debian/changelog ===
kubuntu-docs (15.04ubuntu4) cosmic; urgency=medium

  * Change kdoctools-dev -> libkf5doctools-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 12 Jun 2018 15:34:15 -0500

kubuntu-docs (15.04ubuntu3) cosmic; urgency=medium

  * No-change rebuild against libkf5doctools-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 12 Jun 2018 15:14:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), cmake, extra-cmake-modules, kdoctools-dev, libkf5kdelibs4support-data
+Build-Depends: debhelper (>= 9), cmake, extra-cmake-modules, libkf5doctools-dev, libkf5kdelibs4support-data
 Standards-Version: 3.9.6
 Homepage: http://userbase.kde.org/Kubuntu
 # Nothing needs extracing right now...

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_compress:
	dh_compress -X.docbook

## kubuntu-docs 15.04ubuntu5

=== debian/changelog ===
kubuntu-docs (15.04ubuntu5) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 23 Nov 2025 22:00:21 +0000
